﻿@charset "UTF-8";

/* --------------------------------------------------------------------
  common　汎用クラス
-------------------------------------------------------------------- */

/* ----clearfix---- */
.clearfix_:before,
.clearfix_:after {
  content: "";
  display: table;
}

.clearfix_:after {
  clear: both;
}

.clearfix_ {
  zoom: 1;
}

/* フロート */
.leftfloat_ {
  float: left;
  display: inline;
}

.rightfloat_ {
  float: right;
  display: inline;
}

img.leftfloat_ {
  margin: 0 10px 10px 0;
}

img.rightfloat_ {
  margin: 0 0 10px 10px;
}

/* 文整列 */
.lefttext_ {
  text-align: left;
}

.righttext_ {
  text-align: right;
}

.centertext_ {
  text-align: center;
}

/* 特定メッセージ（インライン） */
.error_ {
  color: #c00;
  margin: 4px 0;
}

.notice_ {
  color: #c00;
  margin: 4px 0;
}

.info_ {
  color: var(--color03);
  margin: 4px 0;
}

.inline_info_ {
  font-weight: bold;
  padding: 8px 8px 4px 8px;
  color: #0c2d67;
}

/* 特定メッセージ（ブロック） */
div.error_,
table.error_ {
  background-color: #fff;
  border: solid 1px #c00;
  padding: 8px 8px 4px 8px;
  margin: 4px auto 10px;
  text-align: left;
}

div.notice_,
table.notice_ {
  background-color: #fff;
  border: solid 1px #c00;
  padding: 8px 8px 4px 8px;
  margin: 4px auto;
  text-align: left;
}

div.notice_ p {
  margin-top: 10px;
  margin-bottom: 10px;
}

div.info_,
table.info_ {
  background-color: #fff;
  border: solid 1px var(--color03);
  padding: 8px;
  margin: 4px auto;
  text-align: left;
}

ul.error_ {
  margin-left: 16px;
}

table.host_ td {
  word-break: break-all;
}

div.message_ {
  color: var(--color03);
  background-color: #fff;
  border: solid 1px var(--color03);
  padding: 10px;
  margin: 0 0 10px;
  text-align: left;
}

p.message_ {
  margin: 4px auto;
}

p.message_ img[alt="必須"] {
  width: 30px;
  position: relative;
  top: 2px;
}

/* 共通クラス(その他) */
.disp_none_ {
  display: none;
}

.hidden_ {
  visibility: hidden;
  clear: both;
}

.nocell_ {
  border: none !important;
  background-color: transparent !important;
}

.hiddenEnter_ {
  width: 0;
  height: 0;
  display: inline;
  float: left;
}

.international-address {
  font-size: inherit !important;
  display: flex;
  flex-wrap: wrap;
  gap: 0 4px;
  word-break: normal;
  overflow-wrap: anywhere;
}

/* --------------------------------------------------------------------
  common　フォーム(table)
-------------------------------------------------------------------- */
table {
  width: 100%;
}

table.formlist_ td {
  padding: 12px 16px;
  border-bottom: 1px solid #dedede;
  border-left: 1px solid #dedede;
  background-color: #fff;
}

table.formlist_ th {
  font-size: 16px;
  padding: 12px 16px;
  border-bottom: 1px solid #dedede;
  border-left: 1px solid #dedede;
  background-color: #f7f7f7;
  color: #525252;
}

table.formlist_ th:first-child,
table.formlist_ td:first-child {
  border-left: 0;
}

table.formlist_ tr:last-child > th,
table.formlist_ tr:last-child > td {
  border-bottom: 0;
}

table.formlist_ th.title_ {
  font-size: 18px;
  font-weight: bold;
  color: #fff;
  padding: 6px 16px;
  background-color: #63c0b0;
  border: none;
}

table.formlist_ tr {
  border-left: none;
}

table.formdetail_ {
  border: 1px solid #dedede;
}

table.formdetail_ th {
  font-size: 16px;
  padding: 12px 16px;
  border-bottom: 1px solid #dedede;
  border-right: 1px solid #dedede;
  background-color: #f7f7f7;
  color: #525252;
}

table.formdetail_ td {
  padding: 12px 16px;
  border-right: 1px solid #dedede;
  border-bottom: 1px solid #dedede;
  background-color: #fff;
}

table.formdetail_ tr:last-child > th,
table.formdetail_ tr:last-child > td {
  border-bottom: none;
}

table.formdetail_ tr th:last-child,
table.formdetail_ tr td:last-child {
  border-right: none;
}

table.formdetail_ tr {
  border-left: none;
}

/** テーブルを角丸にする　ここから **/
table.formlist_ {
  border-collapse: separate;
  border-spacing: 0;
  border-radius: 6px;
  border: 1px solid #dedede;
}

table.formlist_ tr:first-child > th:first-child {
  border-top-left-radius: 6px;
}

table.formlist_ tr:first-child > th:last-child,
table.formlist_ tr:first-child > td:last-child {
  border-top-right-radius: 6px;
}

table.formlist_ tr:last-child > th:first-child,
table.formlist_ tr:last-child > td:first-child {
  border-bottom-left-radius: 6px;
}

table.formlist_ tr:last-child > td:last-child {
  border-bottom-right-radius: 6px;
}

table.formdetail_ {
  border-collapse: separate;
  border-spacing: 0;
  border-radius: 6px;
}

table.formdetail_ tr:first-child > th:first-child {
  border-top-left-radius: 6px;
}

table.formdetail_ tr:first-child > th:last-child,
table.formdetail_ tr:first-child > td:last-child {
  border-top-right-radius: 6px;
}

table.formdetail_ tr:last-child > th:first-child,
table.formdetail_ tr:last-child > td:first-child {
  border-bottom-left-radius: 6px;
}

table.formdetail_ tr:last-child > td:last-child {
  border-bottom-right-radius: 6px;
}

/** テーブルを角丸にする　ここまで **/

.must_ {
  margin-top: 3px;
  margin-left: 10px;
  float: right;
  display: inline;
  height: 17px;
}

/* 汎用ヘッドライン */
.common_headline1_ {
  /* h1相当 */
  margin: 0 0 10px 0;
  color: #525252;
  font-size: 20px;
  font-weight: bold;
  line-height: 150%;
  padding: 0;
  width: 100%;
}

.common_headline2_ {
  /* h2相当 */
  margin-top: 2px;
  margin-bottom: 8px;
  padding: 8px 4px 12px 20px;
  font-size: 14px;
  font-weight: bold;
  background: #fff url(../../../img/sys/assist/common_h2.png) left top / 17px auto no-repeat;
}

*:first-child + html .common_headline2_ {
  padding: 9px 4px 11px 20px;
}

.common_headline3_ {
  /* h3相当 */
  margin: 0 0 6px 0;
  padding: 5px 0;
  font-size: 14px;
  font-weight: bold;
  border-bottom: 1px solid #ccc;
}

/* --------------------------------------------------------------------
  common　ナビゲーション
-------------------------------------------------------------------- */
/* パンくず */
.navitopicpath_ {
  margin: 0 0 6px 0;
}

.navitopicpath_ a {
  margin: 0 0.5em;
}

.navitopicpath_ span.current_ {
  margin: 0 0.5em;
  font-weight: bold;
}

/* ページジャンプ */
.navipage_ {
  text-align: right;
  padding: 5px 0;
  margin: 3px 0;
  display: flex;
  align-items: center;
  justify-content: flex-end;
}

.navipage_.top_ {
  /* ページジャンプ上部 */
  margin-bottom: 10px;
}

.navipage_.bottom_ {
  /* ページジャンプ下部 */
  margin-bottom: 10px;
}

.navipage_ .navipage_frame_ {
  display: flex;
}

.navipage_ .navipage_first_ a {
  width: auto;
  padding-left: 18px;
  background: url(../../../img/sys/assist/navifirst.gif) left center no-repeat;
}

.navipage_ .navipage_prev_ a {
  width: auto;
  padding-left: 12px;
  background: url(../../../img/sys/assist/naviprev.gif) left center no-repeat;
}

.navipage_ .navipage_next_ a {
  width: auto;
  padding-right: 12px;
  background: url(../../../img/sys/assist/navinext.gif) right center no-repeat;
}

.navipage_ .navipage_last_ a {
  width: auto;
  padding-right: 18px;
  background: url(../../../img/sys/assist/navilast.gif) right center no-repeat;
}

.navipage_sum_ {
  margin-right: 6px;
}

.navipage_now_ {
  font-family: var(--font01);
  margin: 0 1px;
  padding: 2px 7px;
  color: #fff;
  font-weight: bold;
  text-decoration: none;
  background: var(--color03);
  border: 1px solid var(--color03);
  width: 30px;
  height: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 4px;
}

.navipage_ .navipage_reverse_ {
  margin-right: 5px;
  display: flex;
  align-items: center;
}

.navipage_ .navipage_forward_ {
  margin-left: 5px;
  display: flex;
  align-items: center;
}

.navipage_ a {
  font-family: var(--font01);
  color: #525252;
  margin: 0 1px;
  padding: 2px 7px;
  background-color: #fff;
  border: 1px solid #808080;
  width: 30px;
  height: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 4px;
}

.navipage_ a:hover {
  text-decoration: none;
  background-color: #eff1f5;
}

/* 並び替え */
.navisort_ {
  margin-bottom: 5px;
  padding-bottom: 5px;
  font-size: 90%;
  width: 100%;
  overflow: hidden;
  border-bottom: 2px solid #e0f0ff;
}

.navisort_ dt {
  float: left;
  text-align: right;
  font-weight: bold;
  width: 5em;
}

.navisort_ dd {
  margin-left: 5em;
}

.navisort_now_ {
  color: #c00;
  text-decoration: none;
  margin: 2px 5px;
  white-space: nowrap;
}

.navisort_ a {
  margin: 2px 5px;
  white-space: nowrap;
}

/* 表示切替 */
.navistyle_ {
  margin-bottom: 5px;
  padding-bottom: 5px;
  font-size: 90%;
  width: 100%;
  overflow: hidden;
  border-bottom: 2px solid #e0f0ff;
}

.navistyle_ dt {
  float: left;
  text-align: right;
  font-weight: bold;
  width: 5em;
}

.navistyle_ dd {
  margin-left: 5em;
}

.navistyle_now_ {
  color: #c00;
  text-decoration: none;
  margin: 2px 5px;
  white-space: nowrap;
}

.navistyle_ a {
  margin: 2px 5px;
  white-space: nowrap;
}

/* --------------------------------------------------------------------
  common　注文系履歴一覧注文ステータス凡例
-------------------------------------------------------------------- */
.block-order-status-legend_ {
  display: flex;
  justify-content: flex-end;
}

.block-order-status-legend_ ul {
  display: flex;
  padding-top: 3px;
}

.block-order-status-legend_ li {
  font-size: 15px;
  margin-left: 20px;
}

.list-status_ li {
  list-style-type: none;
  padding-left: 20px;
  position: relative;
}

.list-status_ li::before {
  content: "";
  display: inline-block;
  height: 15px;
  left: 0;
  position: absolute;
  top: 4px;
  width: 15px;
}

.list-status-cancel_::before,
.list-status-return_::before {
  background-color: #e3e3e3;
}

/* --------------------------------------------------------------------
  Ajax　Zip
-------------------------------------------------------------------- */
#suggestZipArea {
  background-color: #fff;
  border: 1px solid #999;
  display: none;
  padding: 2px 0;
  font-size: 12px;
  position: absolute;
  z-index: 9999;
}

#suggestZipArea .itemNotFound {
  padding: 0 4px;
  height: 20px;
  line-height: 20px;
  text-align: center;
  color: #999;
  font-style: italic;
}

#suggestZipArea .itemLine {
  padding: 0 4px;
  height: 20px;
  line-height: 20px;
  list-style: none;
  white-space: nowrap;
  cursor: default;
  color: #000;
  font-size: 12px;
}

#suggestZipArea .selected {
  background-color: #fdd;
  color: #c00000;
}

#suggestZipArea .itemLine .itemCode {
  float: left;
  font-weight: bold;
  margin-right: 4px;
  font-size: 11px;
}

.dragover {
  background: rgb(255, 228, 200);
}

.gallery {
  display: flex;
  flex-wrap: wrap;
}

.gallery > * {
  margin: 2px;
  display: inline-block;
  width: 100px;
  height: 100px;
  text-align: center;
  position: relative;
}

.gallery img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  position: relative;
}

.gallery .working img {
  filter: blur(2px);
}

.gallery .working::after {
  content: "UPLOADING";
  font-size: 10px;
  line-height: 100px;
  text-align: center;
  display: block;
  background: rgba(255, 255, 255, 0.8);
  width: 100px;
  height: 100px;
  position: absolute;
  top: 0;
}

.input_image_file {
  background: rgba(0, 0, 0, 0.1);
  color: rgba(0, 0, 0, 0.7);
  transition-duration: 0.4s;
  margin: 0 auto;
  cursor: pointer;
}

.input_image_file:hover {
  background: #f1fbf9;
  color: var(--color01);
  transition-duration: 0.2s;
}

.input_image_file:active {
  background: #f1fbf9;
  color: var(--color01);
  transition-duration: 0s;
}

.input_image_file input[type="file"] {
  display: none;
}

.input_image_file .material-icons {
  font-size: 40px;
  line-height: 96px;
  /* Support for IE. */
  font-feature-settings: "liga";
}

/* --------------------------------------------------------------------
  Ajax 件数取得
-------------------------------------------------------------------- */
.recent_count_ {
  font-family: "Roboto", sans-serif;
  font-size: 15px;
  font-weight: bold;
  color: #fff;
  width: 32px;
  height: 32px;
  border-radius: 50%;
  display: none;
  align-items: center;
  justify-content: center;
  background: #ff3c87;
}

.recent_count_.failed_ {
  background: #969696;
}
